---
wsId: MoneyPipe
title: 'MoneyPipe: HD Bitcoin Wallet'
altTitle: 
authors:
- danny
users: 1000
appId: com.beecrypt.beecrypthd
appCountry: us
released: 2020-05-27
updated: 2022-05-12
version: '4.4'
stars: 
ratings: 
reviews: 
size: 29M
website: https://moneypipe.com/hd-wallet/
repository: 
issue: 
icon: com.beecrypt.beecrypthd.png
bugbounty: 
meta: ok
verdict: nosource
date: 2021-11-17
signer: 
reviewArchive: 
twitter: money_pipe
social:
- https://www.facebook.com/moneypipewallet
redirect_from: 

---

## App Description

> MoneyPipe HD multi-currency crypto wallet is unlike any other — it’s not a cloud wallet or exchange. It’s a full-fledged Hierarchical Deterministic wallet with an independent infrastructure. The private keys are always solely under the user’s control and never leave the device.

## Third Party Information

Once we determined that this app is non-custodial, we then proceeded to checks if they have made the source code publicly available. 

We were able to find a [bitcointalk.org thread](https://bitcointalk.org/index.php?topic=5269872.0) about this topic which was posted on August 19, 2020.

A member named [o_e_l_e_o](https://bitcointalk.org/index.php?action=profile;u=1188543) [posted](https://bitcointalk.org/index.php?topic=5269872.msg55025349#msg55025349):

> Is your code open source? It says it is on your website (https://moneypipe.com/hd-wallet) under the FAQ section at the bottom, but I cannot find a link to a GitHub repository.

To which [MoneyPipe developer](https://bitcointalk.org/index.php?action=profile;u=2843623) [replied](https://bitcointalk.org/index.php?topic=5269872.msg55025588#msg55025588):

> We are planning to make the app's source code public in a few version updates - we still need to give it a good polish.

## The App

We tested the app and it has a bitcoin wallet with send and receive function. It also provided options to backup via a 12-word seed phrase.

## Verdict

Contrary to the Bitcoin thread above, we could no longer locate any mention of the project being open source. Searching for the appID 'com.beecrypt.beecrypthd' [does not yield](https://github.com/search?q=com.beecrypt.beecrypthd&type=code) any relevant or related results on GitHub.

